Apache log4cxx: ThrowableInformationPatternConverter Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ThrowableInformationPatternConverter Class Reference

Inherits LoggingEventPatternConverter.

List of all members.

## Detailed Description

Outputs the ThrowableInformation portion of the LoggingiEvent as a full stacktrace unless this converter's option is 'short', where it just outputs the first line of the trace.

## Public Member Functions
void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
| Formats an event into a string buffer.
bool | handlesThrowable () const
| This converter obviously handles throwables.
## Static Public Member Functions
static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Gets an instance of the class.

## Member Function Documentation

void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

  | Formats an event into a string buffer. Parameters:
  | event | event to format, may not be null.
  | toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  | p | pool for memory allocations needing during format.
Implements LoggingEventPatternConverter.

bool handlesThrowable | ( |  | ) | const`[virtual]`

| This converter obviously handles throwables. Returns: true. Reimplemented from LoggingEventPatternConverter.

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) | `[static]`

  | Gets an instance of the class. Parameters:
  | options | pattern options, may be null. If first element is "short", only the first line of the throwable will be formatted.
Returns: instance of class.

The documentation for this class was generated from the following file:

- throwableinformationpatternconverter.h